Class | Termtter::Config
In: | lib/termtter/config.rb
Parent: | Object

### Methods

__assign__ __clear__ __freeze__ __refer__ __unfreeze__ __values__ empty? inspect method_missing new set_assign_hook set_default

### Public Class methods

new()

### Public Instance methods

__assign__(name, value)

call-seq:

      __assign__ :: Symbol -> a -> IO ()

__clear__(name = nil)
__freeze__(name)
__refer__(name)

call-seq:

      __refer__ :: Symbol -> IO a

__unfreeze__(name)
__values__()
empty?()

call-seq:

      empty? :: Boolean

inspect()
method_missing(name, *args)
set_assign_hook(name, &block)
set_default(name, value)

call-seq:

      set_default :: (Symbol | String) -> a -> IO ()

[Validate]